### Function

# RB collate_hash_table_keys

#### Declaration [src]

    GList*
    rb_collate_hash_table_keys (
      GHashTable* table
    )

#### Description [src]

Returns a `GList` containing all keys from `table`. The keys are not copied.

This function is not directly available to language bindings.

#### Parameters

`table`

  Type: `GHashTable`

  `GHashTable` to collate.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

`GList` of keys.

The caller of the function takes ownership of the data container, but not the data inside it.